#This file converts a tnt tree format to a newick tree formant.
#
#Copyright (C) 2004 The University of Texas at Austin
#
#This program is free software; you can redistribute it and/or modify it
#under the terms of the GNU General Public License as published by the Free
#Software Foundation; either version 2 of the License, or (at your option)
#any later version.
#
#This program is distributed in the hope that it will be useful, but WITHOUT
#ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#more details.
#
#You should have received a copy of the GNU General Public License along with
#this program; if not, write to the Free Software Foundation, Inc., 59 Temple
#Place - Suite 330, Boston, MA 02111-1307, USA.
#
#Email: usman@cs.njit.edu
#Mail: Usman Roshan, Department of Computer Sciences, NJIT-CCS, Computer
#Science Department, GITC 4400, University Heights, Newark, NJ 07102

$d=shift;
$t=shift;

open(DATA,$d);
$l=<DATA>;
while(<DATA>){
 @tmp=split(/\s+/,$_);
 $map[$i] = $tmp[0];
 $i++;
}
close DATA;

open(TREE,$t);
$tree=<TREE>;
$tree=<TREE>;

$newtree="";
for(my $i=0; $i < length($tree); $i++) {
 $x = substr($tree,$i,1);
 if($x =~ /\d/) {
  $dig = $x;
  $i++;  
  $x = substr($tree,$i,1);
  while($x =~ /\d/) {
    $dig .= $x;
    $i++;  
    $x = substr($tree,$i,1);
  }
  $name = $map[$dig];
  if($prev_x eq ')'){
   $newtree .= ",".$name;
  }
  else {
   $newtree .= $name;
  }
  if(substr($tree, $i+1, 1) =~ /\d/ || substr($tree, $i+1,1) eq '('){
   $newtree .= ",";
  }
 }
 else {
   if ($prev_x eq ')' && $x eq '(') {
     $newtree .= ','.$x;
   }
   else {
     $newtree .= $x;
   }
 }
 $prev_x = $x;
}

$newtree =~ s/\*/\;/g;
print $newtree;
