/*
This file converts a set of bipartitions into a tree.
Copyright (C) 2004 The University of Texas at Austin

Based upon Daniel Huson's implementation. 

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your option)
any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc., 59
Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Email: usman@cs.njit.edu
Mail: Usman Roshan, Department of Computer Sciences, NJIT-CCS, Computer
Science Department, GITC 4400, University Heights, Newark, NJ 07102
*/
/*\file splits2tree.h
\brief Contains function definitions to convert a set of bipartitions into
a tree
*/

#ifndef SPLITS2TREE
#define SPLITS2TREE

#include<phylo_tree.h>
#include<int_set.h>
#include<list.h>

void splits2tree(const list listsplits, const int_set taxa, phylogenetic_tree T);

#endif
