#This file calls paup to perform an MP TBR search from a starting tree.
#Copyright (C) 2004 The University of Texas at Austin
#
#This program is free software; you can redistribute it and/or modify it
#under the terms of the GNU General Public License as published by the Free
#Software Foundation; either version 2 of the License, or (at your option)
#any later version.
#
#This program is distributed in the hope that it will be useful, but WITHOUT
#ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#more details.
#
#You should have received a copy of the GNU General Public License along 
#with this program; if not, write to the Free Software Foundation, Inc., 59 
#Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#Email: usman@cs.njit.edu
#Mail: Usman Roshan, Department of Computer Sciences, NJIT-CCS, Computer
#Science Department, GITC 4400, University Heights, Newark, NJ 07102

$f = shift;
$start_tree = shift;
$outtree = shift;
$fs = shift;

system "raxml -n $fs -f f -t $start_tree -s $f";
open(IN, "RAxML_result.$fs");
$tree=<IN>; close IN; $tree=~s/\s+//g;
open(OUT, ">$outtree"); print OUT $tree; close OUT;
system "/bin/rm RAxML_*";
