/*!	\file constants.h

Defines constants used in the program
*/

#ifndef CONSTANTS
#define CONSTANTS

/*! 	\def MAX_NEWICK_STR_LEN

The maximum length of the string containing the input newick tree
*/

/*! 	\def MAX_LEAVES

The maximum leaves in the tree
*/

/*! 	\def MAX_NAME_LEN

The maximum length of taxon names
*/

#define MAX_NEWICK_STR_LEN 1000000
#define MAX_LEAVES 100000
#define MAX_NAME_LEN 50

#endif












































