/*!	\file constants.h
\brief Defines constants used in the program
*/

#ifndef CONSTANTS
#define CONSTANTS

/*! 
\brief The maximum length of the string containing the input newick tree
 */
#define MAX_NEWICK_STR_LEN 500000

/*! \brief The maximum leaves in the tree */
#define MAX_LEAVES 100000

/*! \brief The maximum length of taxon names*/
#define MAX_NAME_LEN 500

#define MAX_FILENAME 500

#define MAX_COMMAND 500

#define MAX_BUFFER 500

#endif












































